View Issue Details

IDProjectCategoryView StatusLast Update
13469Bug reports[All Projects] Installationpublic2018-03-15 13:41
ReporterprashanttAssigned Toolle 
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.5.x 
Summary13469: In LimeSurvey version 3.5.0+180309 'Check Data integrity' throws Internal server error.( SQLSTATE[42S02]) on fresh install.
DescriptionHi,
I tried manual installation of Lime survey Version 3.5.0+180309 .However clicking on Configuration->Check Data Integrity throws Ithe following error
.i.e
Internal Server Error
CDbCommand failed to execute the SQL statement: SQLSTATE[42S02]: Base table or view not found: 1146 Table '{{db-name}}.lime_groups' doesn't exist.What could be causing the issue.I checked in the database as well 'groups' table exists in the database.What is causing the issue?
Steps To Reproduce1)Install Lime survey version 3.5.0+180309 manually
2)Login inside the admin panel.
3)Visit Configuration->Check Data integrity .

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.0+180309
I will donate to the project if issue is resolvedNo
BrowserMozilla Firefox Version 56 .
Database & DB-Version Mysql 5.5.57
Operating System (Server)CentOS release 6.4 (Final)
Webserver software & versionApache/2.2.34
PHP Version5.5.38

Activities

prashantt

prashantt

2018-03-10 07:12

reporter  

test.png (3,214 bytes)
test.png (3,214 bytes)
prashantt

prashantt

2018-03-10 07:15

reporter  

test-2.png (15,857 bytes)
test-2.png (15,857 bytes)
olle

olle

2018-03-12 10:27

administrator   ~47006

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26718
olle

olle

2018-03-12 10:27

administrator   ~47007

Sorry, very sloppy mistake by me. Will be fixed in next release.
prashantt

prashantt

2018-03-12 12:17

reporter   ~47017

Hi,
Thanks a lot for the fix .When can i expect the next version to be released?.
olle

olle

2018-03-12 12:46

administrator   ~47020

Tomorrow, perhaps? It's easy to apply the fix manually if you want to.

Related Changesets

LimeSurvey: master b9955919

2018-03-12 10:26:51

olle

Details Diff
Fixed issue 13469: 'Check Data integrity' throws Internal server error
mod - application/controllers/admin/checkintegrity.php Diff File

Issue History

Date Modified Username Field Change
2018-03-10 07:12 prashantt New Issue
2018-03-10 07:12 prashantt File Added: test.png
2018-03-10 07:15 prashantt File Added: test-2.png
2018-03-12 10:23 olle Assigned To => olle
2018-03-12 10:23 olle Status new => assigned
2018-03-12 10:27 olle Changeset attached => LimeSurvey master b9955919
2018-03-12 10:27 olle Note Added: 47006
2018-03-12 10:27 olle Resolution open => fixed
2018-03-12 10:27 olle Note Added: 47007
2018-03-12 10:29 olle Status assigned => resolved
2018-03-12 10:29 olle Fixed in Version => 3.5.x
2018-03-12 12:17 prashantt Note Added: 47017
2018-03-12 12:46 olle Note Added: 47020
2018-03-15 13:41 olle Status resolved => closed